Download it now!
Bug 137508 - CRASH: launching 'adding more icon themes via extensions' dialog ( GTK3 )
Summary: CRASH: launching 'adding more icon themes via extensions' dialog ( GTK3 )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Extension-Tight-Integration
  Show dependency treegraph
 
Reported: 2020-10-15 14:53 UTC by Xisco Faulí
Modified: 2020-10-30 11:06 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-10-15 14:53:59 UTC
Step to reproduce:
1. Open Writer
2. Go to Tools - options - View - Add more icons theme via Extensions

-> Crash

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: e897fdc46b07f211c4c96de103cfa494b645035a
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-10-15 14:55:10 UTC
not reproducible with GEN, then GTK3 only.
Comment 2 Xisco Faulí 2020-10-15 14:56:54 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4bc9c3fad1fdc57b31bd7a76a100cc7712c4af81

author	Heiko Tietze <tietze.heiko@gmail.com>	2020-10-14 11:57:57 +0200
committer	Heiko Tietze <heiko.tietze@documentfoundation.org>	2020-10-14 13:08:58 +0200
commit	4bc9c3fad1fdc57b31bd7a76a100cc7712c4af81 (patch)
tree	d86f371ee9fdcb77229ce6d2483ca63e0bb96f36
parent	59f86333f3fce091177d1cfb9363aa81686aa497 (diff)
Fix of accessibility warnings for the additions dialog

Bisected with: bibisect-linux64-7.1

Adding Cc: to Heiko Tietze
Comment 3 Xisco Faulí 2020-10-15 14:57:31 UTC
@Caolán, I thought you might be interested in this issue
Comment 4 Heiko Tietze 2020-10-15 17:40:37 UTC
Yusuf told me today, he might have a solution. It's a gtk3 only issue, gen and kf5 work well.
Comment 5 Caolán McNamara 2020-10-15 17:48:03 UTC
https://gerrit.libreoffice.org/c/core/+/104382 will solve this
Comment 6 Heiko Tietze 2020-10-15 21:04:50 UTC
(In reply to Caolán McNamara from comment #5)
> https://gerrit.libreoffice.org/c/core/+/104382 will solve this

Can you give some background to improve https://wiki.documentfoundation.org/Development/Accessibility. And maybe it's worth to catch the error, still weird that gtk3 crashes while kf5/gen(/win?) work.
Comment 7 Commit Notification 2020-10-16 07:56:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/40d74f2def9e2255f2a7b85b3c30f76d0a0bd44e

Resolves: tdf#137508 use AtkObject::accessible-role

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2020-10-16 08:28:42 UTC
https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/69

Samuel added support to vcl and gtk for that

<accessibility>
  <role type="static"/>
</accessibility>

but that gtk patch is in gtk master towards gtk4, and is not in any gtk3 version. Or at least not in < 3.24 so those versions fail to load a .ui using that pattern

As mentioned in https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/69 and https://bugzilla.gnome.org/show_bug.cgi?id=794513 there is an alternative mechanism...

<child internal-child="accessible">
 <object class="AtkObject">
   <property name="AtkObject::accessible-role">static</property>
 </object>
</child>

which I added support to vcl to understand, and which any version of gtk will load. I have updated the wiki to suggest this instead
Comment 9 Heiko Tietze 2020-10-16 08:32:55 UTC
(In reply to Caolán McNamara from comment #8)
>I have updated the wiki to suggest this instead

Thanks a lot! Samuel, for your information.
Comment 10 Xisco Faulí 2020-10-30 11:06:56 UTC
Verified in

Version: 7.1.0.0.alpha1+
Build ID: ec1f4d3253963ac16d638734ac70dde033e82154
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!